import { Component } from '@angular/core';
import { ToastController } from '@ionic/angular';
import * as Parse from "parse"

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})
export class Tab1Page {


  currentUser: Parse.User | undefined

  constructor(private toastCtrl: ToastController,
  ) { }
  foods = [
    { time: '早饭', content: '五彩虾仁炒饭,营养丰富，早餐最爱' },
    { time: '中饭', content: '蜜汁烤五花肉，经典家常，上桌就光盘' },
    { time: '晚饭', content: '凉拌西蓝花，鲜香可口，美味下饭' },
  ];

  async ngOnInit() {
    this.currentUser = await Parse.User.current()
    setInterval(async () => {
      this.currentUser = await Parse.User.current()
    }, 1000)
    this.dePerson = await this.getPersonDate()
  }
  //虚拟角
  dePerson: Array<Parse.Object> = []
  async getPersonDate() {
    let query = new Parse.Query("DePerson");
    query.equalTo("user", Parse.User.current()?.toPointer())
    query.include("user")
    let list = await query.find();
    return list
  }
}
